


RELEM(8)                                                 RELEM(8)


NNAAMMEE
       relem - read element status

SSYYNNOOPPSSIISS
       rreelleemm  [  --aa  _b_._t_._l  ]  [  --bbffllttvv  ]  [  --mm {{00||11||22}} ] [ --rr
       _e_l_a_d_d_r_._n_e_l ]

DDEESSCCRRIIPPTTIIOONN
       The rreelleemm program will send a READ ELEMENT STATUS  command
       to  all  changers,  or  to  the  (optionally,  with the --aa
       option) named device.

SSIIMMPPLLEE OOPPTTIIOONNSS
       --aa _b_._t_._l
              Selects a specific ordinal SCSI address, where bb is
              the  logical  SCSI bus, tt is the SCSI target, and ll
              is the SCSI logical unit number (LUN) on that  tar-
              get. See lliibbssccssii(8).

       --bb     causes  the  returned  element  status  data  to be
              dumped as  hexadecimal  codes  rather  than  inter-
              preted.

       --ff     generates full output (somewhat verbose).

       --ll     Performs   a  complete  LUN  search  for  all  SCSI
              adapters in the system when  performing  Autodetec-
              tion.   Normal behavior is to start checking at LUN
              0 for SCSI deivces.  The first empty LUN found will
              end  the search for a given target ID.  With the --ll
              option, all LUNS present on all target IDs for  all
              SCSI busses in the system will be checked for juke-
              boxes.  This can take a vveerryy lloonngg ttiimmee  and  should
              therefore  only  be used when necessary.  For exam-
              ple, a Fibre Channel adapter can support 126 target
              IDs,  each  of  which  may  have  80  or more LUNs.
              Checking all LUNs on this single adapter  may  take
              over 10 minutes.

       --tt     causes volume tags, if present, to be printed.

       --vv     generates very verbose output.


MMEETTHHOODD OOPPTTIIOONNSS
       --mm 00   all element status data is fetched in one call

       --mm 11   element  status  data  is  fetched per element type
              (e.g., all drive elements are read  at  once,  then
              all slot elements, etc.)

       --mm 22   element  data  is fetched per element (which is the
              default method)




NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        1





RELEM(8)                                                 RELEM(8)


       One trivial reason to  specify  these  different  ways  of
       fetching  element  data  is  that  the  SCSI specification
       allows each one of these ways. A more important real  rea-
       son  is  that  some changers have bugs with respect to one
       way or another. For example, one changer may  be  accurate
       in reporting all elements in a class, but return all zeros
       if asked for all elements at once.

RRAANNGGEE OOPPTTIIOONNSS
       --rr     _e_l_a_d_d_r_._n_e_l is used to read a  range  of  addresses,
              where  _e_l_a_d_d_r  is  the starting decimal address (in
              the particular changer's numbering scheme)  of  the
              element  to  start  from,  and _n_e_l is the number of
              elements of status to read.  Use  cchhaannggeerrss  to  get
              the particular addresses used by your changer.


SSEEEE AALLSSOO
       libscsi (8)






































NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        2


